#!/bin/bash

version=`gedit --version | awk '{print $3}' | cut -c 1-3`

echo "GEDIT_VERSION=gedit-$version" > makefile.out
echo >> makefile.out
echo "all:" >> makefile.out
echo -e '\tgcc -march=i686 -O3 -s -Wall -fPIC -shared  `pkg-config  $(GEDIT_VERSION) --libs --cflags`  *.c -o libautocomplete.so' >> makefile.out
echo >> makefile.out
echo "install:" >> makefile.out
echo -e "\tcp libautocomplete.so /usr/lib/gedit-2/plugins/" >> makefile.out
echo -e "\tcp autocomplete.gedit-plugin /usr/lib/gedit-2/plugins/" >> makefile.out



#############################
# maybe it's better to just tell them to type 'make' & 'make install' at this point,
# instead of doing it automatically, like below.
#############################
echo "Exec: Make"
make -f makefile.out


echo
echo
echo "Exec: Make install"
if [ $? -ne 0 ]; then
	echo
	echo
	echo "An error occured. Exiting."
	exit 1;
fi

WHOAMI=$(whoami)
if [ $WHOAMI = root ]; then
	make install
else
	echo
	echo "--------"
	echo
	echo "You aren't root, please enter the root password to install the plugin."
	echo "Hit ^C (Control-C), then enter if you don't have the root password."
	su -c 'make install'
fi
